%define name caitoo
%define version 0.6.5
%define release 2mdk
%define prefix /usr

Summary: Caitoo - Internet download manager for KDE
Name: %{name}
Version: %{version}
Release: %{release}
Group: Networking/File transfer
Copyright: GPL
Source: %{name}-%{version}.tar.bz2
Prefix: %{prefix}
Requires: qt >= 1.42
Buildroot: /var/tmp/%{name}-buildroot
Packager: Andre Steden <andre@steden.de>

%description
Caitoo ( formerly known as KGet ) is a download manager similar to Go!zilla(tm) 
or GetRight Download(tm). It keeps all your downloads in one dialog and you can
add and remove transfers. Transfers can be paused, resumed, queued or scheduled.
Dialogs display info about status of transfers - progress, size, speed and remaining time.
Program supports drag & drop feature of KDE and Netscape.

%prep
rm -rf $RPM_BUILD_ROOT

%setup 

%build
export -n LINGUAS
CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --disable-rpath\
	--with-install-root=$RPM_BUILD_ROOT 
make

%install
make install-strip prefix=$RPM_BUILD_ROOT%{prefix}

%post 
ldconfig

%postun
ldconfig

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}

%files 
%defattr (-,root,root)
/usr/bin/*
%dir /usr/doc/kde/HTML/de/caitoo
/usr/doc/kde/HTML/de/caitoo/*
%dir /usr/doc/kde/HTML/en/caitoo
/usr/doc/kde/HTML/en/caitoo/*
%dir /usr/doc/kde/HTML/it/caitoo
/usr/doc/kde/HTML/it/caitoo/*
/usr/lib/*
%dir /usr/share/apps/caitoo
%dir /usr/share/apps/caitoo/pics
/usr/share/apps/caitoo/pics/*
%dir /usr/share/apps/caitoo/sounds
/usr/share/apps/caitoo/sounds/*
%dir /usr/share/icons/*
/usr/share/locale/*/*/*

%changelog
* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6.5-2mdk
- fix group
- fix files section
- add --disable-rpath


* Fri Feb 07 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v0.6.5
- used srpm provided by Andre Steden <andre@steden.de>

* Sun Feb 06 2000 Andre Steden <andre@steden.de>
- build for mandrake

* Fri Dec 17 1999 Lenny Cartier <lenny@mandrakesoft.com>  
- correct the problem with empty directories 
 
* Mon Oct 11 1999 Lenny Cartier <lenny@mandrakesoft.com>  
- First RPM for Mandrake 

